[Debian-live-changes] r1128 - configs/daniel/config/chroot_localincludes/usr/local/bin

Daniel Baumann daniel at alioth.debian.org
Sun Apr 22 19:31:44 UTC 2007


Author: daniel
Date: 2007-04-22 19:31:44 +0000 (Sun, 22 Apr 2007)
New Revision: 1128

Modified:
   configs/daniel/config/chroot_localincludes/usr/local/bin/cdebootstraps
   configs/daniel/config/chroot_localincludes/usr/local/bin/dputs
Log:


Modified: configs/daniel/config/chroot_localincludes/usr/local/bin/cdebootstraps
===================================================================
--- configs/daniel/config/chroot_localincludes/usr/local/bin/cdebootstraps	2007-04-22 17:04:55 UTC (rev 1127)
+++ configs/daniel/config/chroot_localincludes/usr/local/bin/cdebootstraps	2007-04-22 19:31:44 UTC (rev 1128)
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/sh -x
 
 # cdebootstraps.sh - Wrapper for cdebootstrap(1)
 #
@@ -7,15 +7,7 @@
 
 set -e
 
-# Show help
-if [ "${1}" = "-h" ] || [ "${1}" = "--help}" ] || [ -z "${1}" ]
-then
-	echo "cdebootstraps.sh - Wrapper for cdebootstrap(1)"
-	echo
-	echo "Usage: `basename ${0}` DISTRIBUTION [SPONSOR]"
-	exit 1
-fi
-
+# Static variables
 CODENAME_OLDSTABLE="sarge"
 CODENAME_OLDSTABLE_BACKPORTS="sarge"
 CODENAME_STABLE="etch"
@@ -23,16 +15,19 @@
 CODENAME_TESTING="lenny"
 CODENAME_UNSTABLE="sid"
 
+ACTION="${1}"
+DISTRIBUTION="${2}"
+
+# Dynamic variables
 DIRECTORY_CHROOT="/mnt/debian"
 
 MIRROR="http://10.0.0.11/ftp.debian.org/debian/"
 MIRROR_SECURITY="http://10.0.0.11/ftp.debian.org/debian-security/"
 MIRROR_BACKPORTS="http://10.0.0.11/ftp.debian.org/debian-backports/"
 
-DISTRIBUTION="${1}"
-ACTION="${2}"
 USER="user"
 
+# Defaults
 if [ -z "${DISTRIBUTION}" ]
 then
 	DISTRIBUTION="unstable"
@@ -40,168 +35,125 @@
 
 case "${DISTRIBUTION}" in
 	oldstable-backports|"${CODENAME_OLDSTABLE}"-backports)
+		CHROOT="${DIRECTORY_CHROOT}/${CODENAME_OLDSTABLE}"
 		DISTRIBUTION="${CODENAME_OLDSTABLE}"
 		;;
 
 	stable-backports|"${CODENAME_STABLE}"-backports)
-		DISTRIBUTION="${CODENAME_STABLE}-backports"
+		CHROOT="${DIRECTORY_CHROOT}/${CODENAME_STABLE}-backports"
+		DISTRIBUTION="${CODENAME_STABLE}"
 		;;
 
-	stable-security|"${CODENAME_STABLE}"-security)
-		DISTRIBUTION="${CODENAME_STABLE}-security"
-		;;
-
 	stable|"${CODENAME_STABLE}")
+		CHROOT="${DIRECTORY_CHROOT}/${CODENAME_STABLE}"
 		DISTRIBUTION="${CODENAME_STABLE}"
 		;;
 
 	testing|"${CODENAME_TESTING}")
+		CHROOT="${DIRECTORY_CHROOT}/${CODENAME_TESTING}"
 		DISTRIBUTION="${CODENAME_TESTING}"
 		;;
 
-	unstable|"${CODENAME_UNSTBALE}")
+	unstable|"${CODENAME_UNSTABLE}")
+		CHROOT="${DIRECTORY_CHROOT}/${CODENAME_UNSTABLE}"
 		DISTRIBUTION="${CODENAME_UNSTABLE}"
 		;;
 esac
 
-
-Check_running
+Chroot()
 {
-        if [ -f /var/lock/`basename ${0}`_${DISTRIBUTION}.lock ]
-        then
-                echo "E: '"`basename ${0}`"' is already running."
-                exit 1
-        fi
+	COMMANDS="${1}"
 
-        trap "test -f /var/lock/`basename ${0}_${DISTRIBUTION}`.lock && \
-		rm -f /var/lock/`basename ${0}`_${DISTRIBUTION}.lock; exit 0" 0 2 15
-        touch /var/lock/"`basename ${0}`"_"${DISTRIBUTION}".lock
+	# Executing commands in chroot
+	chroot "${CHROOT}" /usr/bin/env -i HOME="/root" PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin" TERM="${TERM}" ${COMMANDS}
+	# linux32 chroot "${CHROOT}" /usr/bin/env -i HOME="/root" PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin" TERM="${TERM}" ${COMMANDS}
 }
 
-Check_user()
-{
-        if [ "`id -u`" -ne "0" ]
-        then
-                echo "E: '"`whoami`"' is not root."
-                exit 1
-        fi
-}
+case "${ACTION}" in
+	uninstall)
+		# Unmounting file system
+		fuser -km "${CHROOT}"
+		killall -9 syslogd
+		killall -9 klogd
 
-Chroot()
-{
-	#sudo sh -c "linux32 chroot ${CHROOT} /usr/bin/env -i HOME=/root PATH=/usr/sbin:/usr/bin:/sbin:/bin TERM=${TERM} DEBIAN_FRONTEND=noninteractive DEBIAN_PRIORITY=critical ${1}"
-	sudo sh -c "chroot ${CHROOT} /usr/bin/env -i HOME=/root PATH=/usr/sbin:/usr/bin:/sbin:/bin TERM=${TERM} DEBIAN_FRONTEND=noninteractive DEBIAN_PRIORITY=critical ${1}"
-}
+		umount "${CHROOT}"/sys
+		umount "${CHROOT}"/proc
+		umount "${CHROOT}"/lib/init/rw
+		umount "${CHROOT}"/dev/shm
+		umount "${CHROOT}"/dev/pts
+		umount "${CHROOT}"/dev
+		umount "${CHROOT}"
 
-Uninstall()
-{
-	# Unmounting file system
-	fuser -km "${CHROOT}"
-	killall -9 syslogd
-	killall -9 klogd
+		# Removing directory
+		rm -rf "${CHROOT}"
+		;;
 
-	umount "${CHROOT}"/sys
-	umount "${CHROOT}"/proc
-	umount "${CHROOT}"/lib/init/rw
-	umount "${CHROOT}"/dev/shm
-	umount "${CHROOT}"/dev/pts
-	umount "${CHROOT}"/dev
-	umount "${CHROOT}"
+	install)
+		# Creating directory
+		mkdir -p "${CHROOT}"
 
-	# Removing directory
-	rm -rf "${CHROOT}"
-}
+		# Bootstrapping chroot
+		cdebootstrap ${DISTRIBUTION} ${CHROOT} ${MIRROR}
+		;;
 
-Install()
-{
-	# Creating directory
-	mkdir -p "${CHROOT}"
+	configure)
+		# Hack network
+		cp /etc/resolv.conf "${CHROOT}"/etc
+		cp /etc/hosts "${CHROOT}"/etc
 
-	# Bootstrapping chroot
-	case "${DISTRIBUTION}" in
-		toolchain)
-			cdebootstrap ${CODENAME} ${CHROOT} ${MIRROR_TOOLCHAIN}
-			;;
+		# Configuring sources.list
+		echo "deb ${MIRROR} ${DISTRIBUTION} main contrib non-free" > "${CHROOT}"/etc/apt/sources.list
+		echo "deb-src ${MIRROR} ${DISTRIBUTION} main contrib non-free" >> "${CHROOT}"/etc/apt/sources.list
 
-		*)
-			if [ -z "${ARCH}" ]
-			then
-				cdebootstrap ${CODENAME} ${CHROOT} ${MIRROR}
-			else
-				cdebootstrap --arch ${ARCH} ${CODENAME} ${CHROOT} ${MIRROR}
-			fi
-			;;
-	esac
-}
+		if [ "${DISTRIBUTION}" != "${CODENAME_UNSTABLE}" ]
+		then
+			echo "deb ${MIRROR_SECURITY} ${DISTRIBUTION}/updates main contrib non-free" >> "${CHROOT}"/etc/apt/sources.list
+			echo "deb-src ${MIRROR_SECURITY} ${DISTRIBUTION}/updates main contrib non-free" >> "${CHROOT}"/etc/apt/sources.list
+		fi
 
-Configure()
-{
-	# Hack network
-	cp /etc/resolv.conf ${CHROOT}/etc
-	cp /etc/hosts ${CHROOT}/etc
+		Chroot "echo '${DISTRIBUTION}_`dpkg --print-architecture`' > /etc/debian_chroot"
 
-	# Configuring sources.list
-	case "${DISTRIBUTION}" in
-		toolchain)
-			echo "deb ${MIRROR_TOOLCHAIN} ${CODENAME_TOOLCHAIN} main" > ${CHROOT}/etc/apt/sources.list
-			;;
+		# Updating indices
+		Chroot "apt-get --force-yes --yes install -f"
+		Chroot "apt-get --force-yes --yes install"
+		Chroot "apt-get --force-yes --yes update"
+		Chroot "apt-get --force-yes --yes upgrade"
+		Chroot "apt-get --force-yes --yes dist-upgrade"
+		Chroot "apt-get --force-yes --yes install -f"
+		Chroot "apt-get --force-yes --yes install"
+		Chroot "apt-get --force-yes --yes clean"
+		;;
 
-		*)
-			if [ -n "${ARCH}" ]
-			then
-				echo "deb ${MIRROR_AMD64} ${DISTRIBUTION} main contrib non-free" > ${CHROOT}/etc/apt/sources.list
-				echo "deb-src ${MIRROR_AMD64} ${DISTRIBUTION} main contrib non-free" > ${CHROOT}/etc/apt/sources.list
-			else
-				echo "deb ${MIRROR} ${DISTRIBUTION} main contrib non-free" > ${CHROOT}/etc/apt/sources.list
-				echo "deb-src ${MIRROR} ${DISTRIBUTION} main contrib non-free" >> ${CHROOT}/etc/apt/sources.list
-			fi
-			;;
-	esac
+	custom)
+		# Custom packages
+		Chroot "apt-get --force-yes --yes install vim"
+		Chroot "apt-get --force-yes --yes remove --purge ed nano nvi"
+		Chroot "apt-get --force-yes --yes remove --purge ppp"
+		Chroot "apt-get --force-yes --yes install build-essential debhelper dh-make lintian fakeroot gnupg locales less devscripts wdiff autotools-dev"
 
-	if [ ${CODENAME} != ${CODENAME_UNSTABLE} ] && [ "${DISTRIBUTION}" != "toolchain" ]
-	then
-		echo "deb ${MIRROR_SECURITY} ${DISTRIBUTION}/updates main contrib non-free" >> ${CHROOT}/etc/apt/sources.list
-		echo "deb-src ${MIRROR_SECURITY} ${DISTRIBUTION}/updates main contrib non-free" >> ${CHROOT}/etc/apt/sources.list
-	fi
+		if [ "${DISTRIBUTION}" != "oldstable" ]
+		then
+			Chroot "apt-get --force-yes --yes install dpatch"
+		fi
 
-	Chroot "echo `dpkg --print-architecture` > /etc/debian_chroot"
+		if [ ${DISTRIBUTION} = "oldstable" ] || [ ${DISTRIBUTION} = "oldstable-backports" ]
+		then
+			Chroot "apt-get install --force-yes --yes adduser"
+		fi
 
-	# Updating indices
-	Chroot "apt-get --force-yes --yes install -f"
-	Chroot "apt-get --force-yes --yes install"
-	Chroot "apt-get --force-yes --yes update"
-	Chroot "apt-get --force-yes --yes upgrade"
-	Chroot "apt-get --force-yes --yes dist-upgrade"
-	Chroot "apt-get --force-yes --yes install -f"
-	Chroot "apt-get --force-yes --yes install"
-	Chroot "apt-get --force-yes --yes clean"
-}
+		Chroot "apt-get --force-yes --yes clean"
 
-Custom()
-{
-	# Custom packages
-	Chroot "apt-get --force-yes --yes install vim"
-	Chroot "apt-get --force-yes --yes remove --purge ed nano nvi"
-	Chroot "apt-get --force-yes --yes remove --purge ppp"
-	Chroot "apt-get --force-yes --yes install build-essential debhelper dh-make lintian fakeroot gnupg locales less devscripts wdiff autotools-dev"
+		# Custom configuration
+		sed -i -e 's/.*syntax on/syntax on/' "${CHROOT}"/etc/vim/vimrc
 
-	if [ ${DISTRIBUTION} != oldstable ]
-	then
-		Chroot "apt-get --force-yes --yes install dpatch"
-	fi
+cat >> "${CHROOT}"/etc/vim/vimrc << "EOF"
 
-	if [ ${DISTRIBUTION} = "oldstable" ] || [ ${DISTRIBUTION} = "stable" ] || [ ${DISTRIBUTION} = "backports" ]
-	then
-		Chroot "apt-get install --force-yes --yes adduser"
-	fi
+highlight WhitespaceEOL ctermbg=red guibg=red
+match WhitespaceEOL /\s\+$/
+EOF
 
-	Chroot "apt-get --force-yes --yes clean"
+cat >> "${CHROOT}"/etc/profile << "EOF"
 
-	# Custom configuration
-	#Chroot 'sed -i -e s/" syntax on/syntax on/ /etc/vim/vimrc'
-
-cat >> ${CHROOT}/etc/profile << "EOF"
-
 alias cp="cp -i"
 alias ln="ln -i"
 alias mv="mv -i"
@@ -216,234 +168,111 @@
 #LC_ALL="en_US"
 #LANG="en_US"
 #export LANGUAGE LC_ALL LANG
-
-trap clear 0
 EOF
 
-	echo "Root password"
-	Chroot "passwd"
-	Chroot "adduser ${USER}"
-}
+		echo "Root password"
+		Chroot "passwd"
+		Chroot "adduser ${USER}"
+		;;
 
-All()
-{
-	#Uninstall
-	Install
-	Configure
-	Custom
-}
+	all)
+		"${0}" install ${DISTRIBUTION}
+		"${0}" configure ${DISTRIBUTION}
+		"${0}" custom ${DISTRIBUTION}
+		;;
 
-Chroot()
-{
-	# Enter chroot
-	if [ "$ARCH" = "i386" ]
-	then
-		linux32 chroot ${CHROOT} /bin/bash --login
-	else
-		chroot ${CHROOT} /bin/bash --login
-	fi
-}
+	chroot)
+		# Enter chroot
+		#linux32 chroot "${CHROOT}" /bin/bash --login
+		chroot "${CHROOT}" /bin/bash --login
+		;;
 
-Update()
-{
-	# Updating chroot
-	Chroot "apt-get --force-yes --yes update"
-	Chroot "apt-get --force-yes --yes upgrade"
-	Chroot "apt-get --force-yes --yes dist-upgrade"
-	Chroot "apt-get --force-yes --yes clean"
-}
+	update)
+		# Updating chroot
+		Chroot "apt-get --force-yes --yes update"
+		Chroot "apt-get --force-yes --yes upgrade"
+		Chroot "apt-get --force-yes --yes dist-upgrade"
+		Chroot "apt-get --force-yes --yes clean"
+		;;
 
-Save()
-{
-	killall -9 syslogd
-	killall -9 klogd
+	save)
+		killall -9 syslogd
+		killall -9 klogd
 
-	# Unmounting file systems
-	umount ${CHROOT}/sys
-	umount ${CHROOT}/proc
-	umount "${CHROOT}"/lib/init/rw
-	umount ${CHROOT}/dev/shm
-	umount ${CHROOT}/dev/pts
-	umount ${CHROOT}/dev
+		# Unmounting file systems
+		umount "${CHROOT}"/sys
+		umount "${CHROOT}"/proc
+		umount "${CHROOT}"/lib/init/rw
+		umount "${CHROOT}"/dev/shm
+		umount "${CHROOT}"/dev/pts
+		umount "${CHROOT}"/dev
 
-	# Cleaning home directories
-	rm -f ${CHROOT}/root/.bash_history
-	rm -f ${CHROOT}/root/.viminfo
-	rm -f ${CHROOT}/home/${USER}/.bash_history
-	rm -f ${CHROOT}/home/${USER}/.viminfo
-	rm -rf ${CHROOT}/var/tmp/vi.recover
+		# Cleaning home directories
+		rm -f "${CHROOT}"/root/.bash_history
+		rm -f "${CHROOT}"/root/.viminfo
+		rm -f "${CHROOT}"/home/${USER}/.bash_history
+		rm -f "${CHROOT}"/home/${USER}/.viminfo
+		rm -rf "${CHROOT}"/var/tmp/vi.recover
 
-	# Saving chroot
-	rsync -av --delete ${CHROOT}/ ${CHROOT}.snapshot
+		# Saving chroot
+		rsync -av --delete "${CHROOT}"/ "${CHROOT}".snapshot
 
-	# Remounting file systems
-	mount proc-${DISTRIBUTION} ${CHROOT}/proc -t proc
-}
+		# Remounting file systems
+		mount proc-${DISTRIBUTION} "${CHROOT}"/proc -t proc
+		;;
 
-Restore ()
-{
-	killall -9 syslogd
-	killall -9 klogd
+	restore)
+		killall -9 syslogd
+		killall -9 klogd
 
-	# Unmounting file systems
-	umount ${CHROOT}/sys
-	umount ${CHROOT}/proc
-	umount "${CHROOT}"/lib/init/rw
-	umount ${CHROOT}/dev/shm
-	umount ${CHROOT}/dev/pts
-	umount ${CHROOT}/dev
+		# Unmounting file systems
+		umount "${CHROOT}"/sys
+		umount "${CHROOT}"/proc
+		umount "${CHROOT}"/lib/init/rw
+		umount "${CHROOT}"/dev/shm
+		umount "${CHROOT}"/dev/pts
+		umount "${CHROOT}"/dev
 
-	# Restoring chroot
-	rsync -av --delete ${CHROOT}.snapshot/ ${CHROOT}
+		# Restoring chroot
+		rsync -av --delete "${CHROOT}".snapshot/ "${CHROOT}"
 
-	# Remounting file systems
-	mount proc-${DISTRIBUTION} ${CHROOT}/proc -t proc
-}
+		# Remounting file systems
+		mount proc-${DISTRIBUTION} "${CHROOT}"/proc -t proc
+		;;
 
-Reset ()
-{
-	Restore
-	Update
-	Save
-}
+	reset)
+		"${0}" ${DISTRIBUTION} restore
+		"${0}" ${DISTRIBUTION} update
+		"${0}" ${DISTRIBUTION} save
+		;;
+esac
 
-Main()
-{
-	case ${2} in
-		oldstable|${CODENAME_OLDSTABLE})
-			if [ -n "${ARCH}" ]; then CHROOT="${DIRECTORY_CHROOT}/oldstable_${ARCH}"; \
-				else CHROOT="${DIRECTORY_CHROOT}/oldstable"; fi
-			CODENAME="${CODENAME_OLDSTABLE}"
-			DISTRIBUTION="oldstable"
-			;;
-
-		oldstable-backports|${CODENAME_OLDSTABLE}-backports)
-			if [ -n "${ARCH}" ]; then CHROOT="${DIRECTORY_CHROOT}/backports_${ARCH}"; \
-				else CHROOT="${DIRECTORY_CHROOT}/oldstable-backports"; fi
-			CODENAME="${CODENAME_OLDSTABLE}"
-			DISTRIBUTION="oldstable"
-			;;
-
-		stable|${CODENAME_STABLE})
-			if [ -n "${ARCH}" ]; then CHROOT="${DIRECTORY_CHROOT}/stable_${ARCH}"; \
-				else CHROOT="${DIRECTORY_CHROOT}/stable"; fi
-			CODENAME="${CODENAME_STABLE}"
-			DISTRIBUTION="stable"
-			;;
-
-		stable-backports|${CODENAME_STABLE}-backports)
-			if [ -n "${ARCH}" ]; then CHROOT="${DIRECTORY_CHROOT}/backports_${ARCH}"; \
-				else CHROOT="${DIRECTORY_CHROOT}/stable-backports"; fi
-			CODENAME="${CODENAME_STABLE}"
-			DISTRIBUTION="stable"
-			;;
-
-		toolchain)
-			if [ -n "${ARCH}" ]; then CHROOT="${DIRECTORY_CHROOT}/toolchain_${ARCH}"; \
-				else CHROOT="${DIRECTORY_CHROOT}/toolchain"; fi
-			CODENAME="sarge"
-			DISTRIBUTION="toolchain"
-			;;
-
-		testing|${CODENAME_TESTING})
-			if [ -n "${ARCH}" ]; then CHROOT="${DIRECTORY_CHROOT}/testing_${ARCH}"; \
-				else CHROOT="${DIRECTORY_CHROOT}/testing"; fi
-			CODENAME="${CODENAME_TESTING}"
-			DISTRIBUTION="testing"
-			;;
-
-		unstable|${CODENAME_UNSTABLE})
-			if [ -n "${ARCH}" ]; then CHROOT="${DIRECTORY_CHROOT}/unstable_${ARCH}"; \
-				else CHROOT="${DIRECTORY_CHROOT}/unstable"; fi
-			CODENAME="${CODENAME_UNSTABLE}"
-			DISTRIBUTION="unstable"
-			;;
-
-		chroot)
-			if [ -n "${ARCH}" ]; then CHROOT="${DIRECTORY_CHROOT}/chroot_${ARCH}"; \
-				else CHROOT="${DIRECTORY_CHROOT}/chroot"; fi
-			CODENAME="${CODENAME_UNSTABLE}"
-			DISTRIBUTION="unstable"
-			;;
-
-		devel|dev)
-			if [ -n "${ARCH}" ]; then CHROOT="${DIRECTORY_CHROOT}/devel_${ARCH}"; \
-				else CHROOT="${DIRECTORY_CHROOT}/devel"; fi
-			CODENAME="${CODENAME_UNSTABLE}"
-			DISTRIBUTION="unstable"
-			;;
-
-		all)
-			${0} ${1} backports
-			${0} ${1} oldstable
-			${0} ${1} stable
-			${0} ${1} testing
-			${0} ${1} unstable
-			;;
-	esac
-
-	export CHROOT CODENAME DISTRIBUTION
-
-	if [ ! -z ${2} ]
-	then
-		if [ ${1} != "chroot" ]
-		then
-			Check_running
-		fi
-
-		Check_user
-		case "${1}" in
-			uninstall) Uninstall ;;
-			install) Install ;;
-			configure) Configure ;;
-			custom) Custom ;;
-			all) All ;;
-			chroot) Chroot ;;
-			update) Update ;;
-			save) Save ;;
-			restore) Restore ;;
-			reset ) Reset ;;
-		esac
-		exit 0
-	fi
-
-	case ${1} in
-		-h|--help)
-			echo "debootstraps - Meta script for debootstrap(8)"
-			echo
-			echo -e "Usage: \t `basename ${0}` [TARGET] [DISTRIBUTION]"
-			echo -e "Usage: \t `basename ${0}` [OPTION]"
-			echo
-			echo "Targets:"
-			echo -e "\t uninstall: \t\t remove chroot"
-			echo -e "\t install:   \t\t bootstrap chroot"
-			echo -e "\t configure: \t\t configure chroot"
-			echo -e "\t custom:    \t\t install custom packages"
-			echo -e "\t all:       \t\t execute all targets"
-			echo
-                        echo -e "\t chroot:    \t\t enter chroot"
-                        echo -e "\t update:    \t\t update chroot"
-                        echo -e "\t save:      \t\t saves chroot to \$CHROOT.snapshot"
-                        echo -e "\t restore:   \t\t restores chroot from \$CHROOT.snapshot"
-                        echo
-                        echo "Distributions:"
-                        echo -e "\t oldstable: \t\t Debian GNU/Linux oldstable (Woody)"
-                        echo -e "\t stable:    \t\t Debian GNU/Linux stable (Sarge)"
-                        echo -e "\t testing:   \t\t Debian GNU/Linux testing (Etch)"
-                        echo -e "\t unstable:  \t\t Debian GNU/Linux unstable (Sid)"
-                        echo -e "\t all:       \t\t execute all distributions"
-                        echo
-                        echo "Options:"
-                        echo -e "\t -h, --help:    \t display this help and exit"
-                        echo -e "\t -u, --usage:   \t show usage and exit"
-                        echo -e "\t -v, --version: \t output version information and exit"
-                        exit 1
-                        ;;
-
-		*)
-			${0} --help
-			;;
-	esac
-}
-
-Main ${@}
+#echo "debootstraps - Meta script for debootstrap(8)"
+#echo
+#echo -e "Usage: \t `basename ${0}` [TARGET] [DISTRIBUTION]"
+#echo -e "Usage: \t `basename ${0}` [OPTION]"
+#echo
+#echo "Targets:"
+#echo -e "\t uninstall: \t\t remove chroot"
+#echo -e "\t install:   \t\t bootstrap chroot"
+#echo -e "\t configure: \t\t configure chroot"
+#echo -e "\t custom:    \t\t install custom packages"
+#echo -e "\t all:       \t\t execute all targets"
+#echo
+#echo -e "\t chroot:    \t\t enter chroot"
+#echo -e "\t update:    \t\t update chroot"
+#echo -e "\t save:      \t\t saves chroot to \$CHROOT.snapshot"
+#echo -e "\t restore:   \t\t restores chroot from \$CHROOT.snapshot"
+#echo
+#echo "Distributions:"
+#echo -e "\t oldstable: \t\t Debian GNU/Linux oldstable (Woody)"
+#echo -e "\t stable:    \t\t Debian GNU/Linux stable (Sarge)"
+#echo -e "\t testing:   \t\t Debian GNU/Linux testing (Etch)"
+#echo -e "\t unstable:  \t\t Debian GNU/Linux unstable (Sid)"
+#echo -e "\t all:       \t\t execute all distributions"
+#echo
+#echo "Options:"
+#echo -e "\t -h, --help:    \t display this help and exit"
+#echo -e "\t -u, --usage:   \t show usage and exit"
+#echo -e "\t -v, --version: \t output version information and exit"
+#exit 1

Modified: configs/daniel/config/chroot_localincludes/usr/local/bin/dputs
===================================================================
--- configs/daniel/config/chroot_localincludes/usr/local/bin/dputs	2007-04-22 17:04:55 UTC (rev 1127)
+++ configs/daniel/config/chroot_localincludes/usr/local/bin/dputs	2007-04-22 19:31:44 UTC (rev 1128)
@@ -74,7 +74,7 @@
 		DISTRIBUTION="${CODENAME_TESTING}"
 		;;
 
-	unstable|"${CODENAME_UNSTBALE}")
+	unstable|"${CODENAME_UNSTABLE}")
 		DISTRIBUTION="${CODENAME_UNSTABLE}"
 		;;
 esac




More information about the Debian-live-changes mailing list